RELEASE NOTES FOR KOHA 3.16.0
22 May 2014
========================================================================

Koha is the first free and open source software library automation package 
(ILS). Development is sponsored by libraries of varying types and sizes, 
volunteers, and support companies from around the world.  
The website for the Koha project is 

    http://koha-community.org/

Koha 3.16.0 can be downloaded from:

    http://download.koha-community.org/koha-3.16.00.tar.gz

Installation instructions can be found at:

    http://wiki.koha-community.org/wiki/Installation_Documentation
    
    OR in the INSTALL files that come in the tarball


Koha 3.16.0 is a major release, that comes with many new features.


It includes 6 new features, 197 enhancements to existing features,
and 390 bugfixes.

Important notice
================
The "prog" and "CSSR" public catalog themes were deprecated upon the
release of Koha 3.14.0.  They are expected to be removed from Koha
upon the release of Koha 3.18.0, which is scheduled for November 
2014.  Users should plan on upgrading to the Bootstrap them as soon
as possible.

New features in 3.16.0
======================

Acquisitions
----------
    8230    The ordered status is now displayed on the staff bib details
            page. This is enabled by the new AcquisitionDetails system
            preference
    11665   It is now possible to place orders from the holds ratio report
 
Command-line Utilities
----------
    6435    rebuild_zebra.pl now has the ability to run as a daemon
            by specifying the -daemon switch.  This allows the Zebra
            index to be updated within seconds of a bibliographic or
            authority record being changed, rather than waiting several
            minutes for a cronjob

Lists
----------
    9032    It is now possible for a patron to invite another to
            share a private list. When an invitation is made, it
            is sent out via email, and the recipient has the option
            to confirm the invitation.

Searching
----------
    10862   The staff interface now retains and displays bib and authority
            search history, allowing staff members to easily re-run searches.
            This is enabled by the new preference EnableSearchHistory.

Tools
----------
    9016    It is now possible to use different templates for notices
            depending on the message transport.  For example, if the library
            sends out overdue notices via email and SMS, it is now possible
            to use different templates.  This feature is referred to
            as "multi transport types".

Enhancements in 3.16.0
======================

Acquisitions
----------
    7180    Order from staged file improvements: one can now place
            multiple orders on records from a staged file in one
            fell swoop, selecting which titles one wants to order.
            In addition, order fields can be populated from the MARC
            records based on a mapping set up via the MarcFieldsToOrder
            system preference.
    7267    Display account number in PDF
    7288    Add filter to invoice page to only display invoices related to
            subscriptions
    7308    Display base-level amount ordered in fund management
    9261    Allow librarians to make purchase suggestions for patrons
    9416    Add vendor note field to order line record
    9807    It is now possible to view a basket group without reopening it
    10090   The ordered and spent pages now display the item type description
            rather than the code
    10875   The form for adding a new order from a staged file now longer
            displays inactive funds by default
    10922   Now displays whether prices include tax or do not include tax
            when creating a new order
    11027   There is now a column for basket groups in late orders table
    11141   The receiving form now retains the search filters that staff
            set on the pending orders list.
    11429   There is now a link to basket group on the basket detail page
    11435   Basket group information is now displayed on the acquisitions tab
            in the staff bib details page
    11459   The description of the OrderPdfFormat preference is improved
    11551   It is now possible to search on parent order number on the
            advanced orders search page
    11552   It is now possible to search on the original order line number
            after transferring an order
    11578   The funds management page now uses a tree for displaying parent
            and child funds, make their relationships more clear.
    11579   The order number is now displayed on the basket page
    11763   The fund action links on the funds management page are now
            consolidate on a menu
    11828   German-language templates for order PDFs are now available
    11864   The parent order line number is now displayed on the received
            orders table

Architecture, internals, and plumbing
----------
    7372    The list of road types was moved from a database table to a
            new authorized value, ROADTYPE
    9823    GetReservesFromBiblionumber was refactored to remove an
            unnecessary return value and to use named parameters
    10277   A new routine, C4::Context->IsSuperLibrarian, was added to
            consolidate the check of whether the current user has
            superlibrarian privileges
    10533   The JavaScript functions for managing basket groups were moved
            to a separate file
    10789   Removed incorrect uses of $sth->finish in C4::Acquisitions
    10809   The branches TT plugin is now used by serials search
    10983   Removed unused subroutines in C4:Budgets
    11032   Several routines in C4::Biblio now verify that valid MARC::Record
            objects are passed to them
    11051   Removed unnecessary SQL queries in GetBranches, improving the
            speed of public catalog searches
    11182   Removed spurious logged warnings in circulation
    11268   Increased the width of the biblioitems URL field
    11333   The validation plugin is now used by the  CSV profile forms
    11386   Standardize validation on the subscription add/edit form
    11389   Re-enabled PostgreSQL as a database scheme that Koha can connect
            to.  Note that PostgreSQL support for Koha remains a work in
            progress.
    11468   Removed use of smartmatch from DateUtils
    11474   Removed experimental given/when from C4::Utils::Datatables
    11478   Removed experimental given/when from Koha::SimpleMARC
    11479   Removed experimental given/when from C4::MarcModificationTemplates
    11518   Added new method to Koha::Schema::Result::Item to return the
            effective item type
    11539   Removed disused C4::Barcodes::PrinterConfig module
    11555   Make "All" one of the default options for choosing the number of
            rows in a DataTables table to display
    11562   Sort the preferences in sysprefs.sql alphabetically
    11605   The list of rows to display for DataTable option now uses the
            global default where possible.
    11730   Make C4::Charset use C4::Context
    11751   Removed dead code related to handling members of institution
            patrons
    11766   The validation plugin is now used by the authority type form
    11767   The validation plugin is now used by the authority framework tag form
    11769   The validation plugin is now used by the MARC framework form
    11771   The validation plugin is now used by the MARC framework tag form
    11785   The validation plugin is now used when uploading local cover images
    11787   The validation plugin is now used by the vendor form
    11788   The validation plugin is now used by course reserve forms
    11789   The validation plugin is now used by the list form
    11791   The validation plugin is now used by the city form
    11792   The validation plugin is now used by the currency form
    11793   The validation plugin is now used by the item type form
    11795   The validation plugin is now used by the Z39.50 server form
    11805   The validation plugin is now used by the order basket form
    11806   The validation plugin is now used by the OAI set form
    11957   Removed disused sample_only_param_tables.sql
    11960   Replaced unnecessary call of GetMemberDetails by CanBookBeRenewed,
            thereby improving performance
    11975   The batch patron deletion code received various improvements

Authentication
----------
    11146   The page that is displayed when a staff user does not have
            permission to perform a given operation now includes a link
            to go back to the previous page

Cataloging
----------
    9366    The MARC editor now has a widget to control the display of the
            MARC tags
    9673    The item record now has date fields to track when an item is
            mark lost or is withdrawn
    10970   The MARC21 frameworks were updated to Update Number 17
    11746   The record details page now has direct links to edit items

Circulation
----------
    7413    Circulation policies can now be set to control how long a patron
            must wait before being allowed to renew a loan.
    8231    The check-in page now displays a warning if the patron is
            restricted
    10694   The check-in page can now allow the operator to specify an
            arbitrary return date. This is enabled using the new system
            preference SpecifyReturnDate
    10859   The checkout page can now alert the operator if the patron
            already has a different item on the same bib on loan.  This
            feature is enabled using the AllowMultipleIssuesOnABiblio
            system preference.
    10863   There are two new circulation permissions related to patrons
            who have restrictions. The force_checkout permission controls
            whether an operator is allowed to check out an item to a
            restriction patron, while the manage_restrictions permission
            controls whether the operator is able to add or remove
            restrictions.
    11040   The CircAutoPrintQuickSlip preference now has a new option
            to print a regular slip.
    11359   The library overdues report now includes columns for the
            patron barcode and phone number
    11486   The number of renewals left is now displayed on the checkout
            and patron details pages
    11561   With the implementation of multi transport types, preventing
            the generation of duplicate hold print notices.  If no
            other transports can be used for a hold notice, it will continue
            to default to print
    11630   The parsing of age restriction markers is now more flexible,
            and can now accommodate cases where the marker is immediately
            followed by the age

Command-line Utilities
----------
    7844    There is now a sample Plack configuration for developer use
            that handles both staff and public catalog interfaces
    10782   Debian packages now include a koha-mysqlcheck script
            for running integrity checks on Koha databases
    10955   rebuild_zebra.pl is now able to skip processing deletions,
            allowing record deletions to be handled in a separate
            run overnight
    11078   rebuild_zebra.pl now uses a lockfile to prevent multiple
            rebuild_zebra.pl processes from attempting to make
            simultaneous changes
    11278   bulkmarcimport.pl now has the ability to use a user-supplied
            Perl module to manipulate records prior to import. It also
            has more options for verbose logging
    11441   The --aut switch for remove_unused_authorities.pl is no
            longer required.  If it is omitted, the job will remove
            all unused authorities, regardless of type.
    11484   cleanup_database.pl now has an option to purge Z39.50 results
            from the reservoir
    11850   bulkmarcimport.pl now has an option to append to its logfile

Course reserves
----------
    11866   Course reserves information can now be viewed without requiring
            special permissions on the part of staff operators

Database
----------
    3445    Several indexes were added to the action_logs table to improve
            performance

Documentation
----------
    11238   Online help now dynamically constructs links to the appropriate
            version of the Koha manual

Hold requests
----------
    11138   The example crontabs now include the auto-unsuspend holds job

I18N/L10N
----------
    7934    Separate PO files are now generated for help pages
    8044    (also bug 11848) It is now possible to make strings embedded in
            Perl scripts translatable like this:

                use Koha::I18N
                print gettext('my translatable text');

    10964   Updated the German MARC21 default framework to Update Nr. 17 (September 2013)
    11495   Instances of text "Select titles to: " in the Bootstrap theme
            are now translatable
    11631   The translation toolchain now ignores certain useless translatable strings
    12138   Placeholders can now be used when setting up strings in JavaScript
            code to be translatable.  For example:

                 _("Are you sure you want to delete the %s attached items?").format(count)


Installation and upgrade (web-based installer)
----------
    10138   Updates to authorized values in the French see data
    12113   Updates to German seed data
    12275   Small corrections to English seed data

Label/patron card printing
----------
    12018   Added table sorting to the list of patron card batches

MARC Authority data support
----------
    8334    There is now a field plugin for 100 fields in UNIMARC
            authority record

MARC Bibliographic data support
----------
    11330   The MARC21 bibliographic frameworks seed data now has
            more consistent field and subfield descriptions among
            the various frameworks
    11453   The English default UNIMARC bibliographic framework is
            now up-to-date

MARC Bibliographic record staging/import
----------
    10500   By turning on the new AggressiveMatchOnISBN, the staged
            MARC record importer can now include variations when looking
            for matching records by ISBNs.  Note that at present,
            AggressiveMatchOnISBN searches on ISBN variations only when
            the UseQueryParser preference is turned off.
    10558   The list of records in an import batch is now displayed
            using an AJAX DataTable, improving responsiveness and making
            it possible to sort results.
    10811   The English seed data now includes an import matching rule on
            biblionumber (999$c)

Notices
----------
    11598   Added --text option to overdue_notices similar to --html option

Public Catalog
----------
    10774   Hold requests can now be individually suspended or resumed
            from the public catalog
    10807   The history of authority (browse) searches is now retained
            by the public catalog, similar to existing functionality for
            bibliographic searches
    10907   There is a new system preference, OpacSuggestionManagedBy,
            to control whether a patron can see the name of the staff
            member who managed a purchase suggestion
    10951   There is a new system preference, NoLoginInstructions, to
            allow customizing the message that gets displayed on the public
            catalog login form
    10986   There is a new system preference, AdvancedSearchLanguages, to
            control the languages that are included on the language filter
            list on the advanced search page
    11066   The RIS and BibTeX record exports now recognize the RDA 264
            field as a source of publisher information
    11101   There is now a CSS hook for customizing the item types facet label
    11104   There is now a CSS hook for customizing the topics facet label
    11105   There is now a CSS hook for customizing the places facet label
    11256   The new system preference OpacMaxItemsToDisplay now controls
            the number of item records that are displayed by default on the
            record details page
    11312   Add CSS hooks for customizing various facet labels
    11465   The tabs on the "your summary" page now display the number
            of loans, the number of hold requests, and the patron's fine
            balance
    11466   The purchase suggestion desired formats list now includes item types
            whether AdvancedSearchTypes is set to 'itemtypes' or includes
            'itemtypes' as one of the selected options
    11684   Removed the likelihood of getting mixed-content warnings when
            using SSL for the public catalog
    11694   Improved the widgets for handling individual hold suspension in the
            Bootstrap public catalog
    11786   Improved RDFa schema.org mappings in the prog and Bootstrap
            themes
    11860   The subscription call number is now displayed on the record
            details page
    12052   There is a new preference, OPACMySummaryNote, that can be used
            to display a message on the patron summary page in the
            public catalog

Packaging
----------
    7234    koha-common Debian package now include koha-sites.conf
    10003   koha-* scripts (packages) now provide tab-completion in bash
    10646   koha-create now warns if mod_rewrite is not enabled
    10896   Added a --verbose option to koha-translate
    10942   The packages now support an option to automatically update
            translations as part of an upgrade
    11284   Package-related updates for the new release
    11655   koha-translate --list no longer shows 'en' as a translation,
            since it is the current base language

Patrons
----------
    6739    By turning on the new system preference, BlockExpiredPatronOpacActions,
            expired patrons not blocked from performing actions in the public
            catalog such as renewing loans
    9448    There is a new staff permission, updatecharges/writeoff, for
            controlling whether a staff member is allowed to forgive
            overdue fines
    10318   The primary email address is now displayed on patron search results
    10834   Sort 1 and Sort 2 are now searchable patron fields
    10861   There is a new system preference, CardnumberLength, that can be
            set to require a minimum and maximum length for patron card
            numbers
    11671   The patron list add page was restructured for improved usability
    11869   The patron print summary and print receipt templates now include
            more information, including registration date, expiration date,
            library, patron category, and fines and payments information

Reports
----------
    9915    The public reports web service (opac/svc/report) can now
            be given report parameters
    11679   Report output can now be downloaded as Open Document spreadsheets.
    12040   Add SMTP authentication parameters to runreports.pl

Searching
----------
    9940    Added a new index for original language of document
    9972    Added word and phrase versions of the MARC21 Lexile
            index and indexes for the 653, 655, and 041 fields.
    10857   Users of the staff and public catalog search interfaces can now
            remove active facets when refining search results
    11069   Words in the title now have a higher weight in relevance ranking
            when using QueryWeightFields
    11202   Various improvements to UNIMARC biblio indexing
    11334   Added ability to control which library fields are used for facets,
            as set by the new DisplayLibraryFacets system preference.

Self checkout
----------
    11415   Automatic receipt printing in the web-based self-check interface
            can now be disabled by adjusting the new system preference
            SelfCheckReceiptPrompt

Serials
----------
    10851   There are now more "missing" statuses to choose run when
            receiving serials, including "never received", "sold out",
            "damaged", and "lost"
    10852   The serials search form can now filter on location, call number,
            and expiration date
    11861   The serials claims list now includes a column for ISSN

SIP2
----------
    6273    Payments made via SIP2 now have the payment type (e.g., cash
            or credit card) recorded
    8769    The return date passed by the SIP2 client in the check-in
            message is now used.  Previously, the return date was always
            set to the current date.
    9288    There is a new script to test SIP from the command line
    11351   Koha item types have a new column for setting the SIP2 media
            type, which can be used by SIP2 devices to controlled
            a demagnetizer for security strips.

System Administration
----------
    11596   Missing indexing options in koha-conf.xml are now reported
            on the abut page.
    11772   The about page now displays a warning if no active currency
            is defined.

Templates
----------
    7484    When changing the search type for an authority search,
            other search inputs like authority type, operator, term,
            and sort order are now retained
    9677    The toolbar on the notices and slips page is now styled
            with Bootstrap
    10987   Removed duplicate 'see also' and 'see from' labels from
            authority search results
    11087   The fines tab now defaults to pay fines rather than the patron
            account summary
    11272   Added second submit button to inventory form
    11328   Local cover images are now displayed in staff client search results
    11398   Fixed "occured" typo
    11570   Upgraded jQueryUI to latest version in the staff client
    11724   Made funds and status on suggestions page sortable/searchable
    11946   Added table sorters to label batches
    12088   Improved date handling and sorting in holds to pull report
    12089   Removed use of dt_add_type_uk_date()
    12101   Moved Greybox library outside of language-specific directory
    12102   Moved humanmsg jQuery plugin outside of language-specific directory
    12103   Moved ajaxfileupload jQuery plugin outside of language-specific directory
    12107   Moved checkboxes jQuery plugin outside of language-specific directory
    12116   Moved fixFloat jQuery plugin outside of language-specific directory
    12119   Moved jeditable jQuery plugin outside of language-specific directory

Test Suite
----------
    11224   Added more unit tests for C4::Acquisition
    11452   Added some tests for Koha::Template::Plugin::Cache
    11480   Improved tests in Output_JSON.t
    11537   Increased test coverage for C4::Log
    11540   Increased test coverage for C4::Charset
    11541   Increased test coverage for C4::Installer
    11542   Increased test coverage for C4::Print
    11543   Increased test coverage for C4::Category
    11544   Increased test coverage for C4::Installer_PerlModule
    11545   Increased test coverage for C4::Languages

Tools
----------
    2693    Added ability to filter by reviewer name on tag review page
    7567    Added support for per-library news
    10832   Implemented multi transport types for overdue notices
    10833   Implemented multi transport types for advanced notices
    10845   With the implementation of multi transport types, the legacy
            HOLD_PRINT notice is now merged as the print template
            of the HOLD notice
    11343   The max number of items to process in a deletion or modification
            batch is now controlled by the new preference MaxItemsForBatch
    11867   With the implementation of multi transport types, the legacy
            *_PHONE notices are now merged as per-transport templates
            of the HOLD, PREDUE, and OVERDUE notices
    11868   The fields for setting templates for SMS and phone messages
            are now disabled if those transports are not in use (as
            determined by the SMSSendDriver and TalkingTechItivaPhoneNotification
            preferences)

Transaction logs
----------
    11477   The transaction log now displays the name of the staff member
            involved, if applicable

Web services
----------
    11491   Added option to supply field names in the output of the
            reports web service


Critical bugs fixed in 3.16.0
======================

(this list include all bugfixes since the previous major version. Most of them have already been fixed in maintenance releases)

Acquisitions
----------
    9948    critical    Acq data going on first item even if not received
    11322   critical    Suggestion "notes" field should be sanitized or escaped
    11755   critical    Argument 'booksellerid' not properly handled in orderreceive.pl
    12274   critical    Closed invoices not properly handled on invoice details page
    4068    major   Accepting a suggestion hides 'pending' tab
    10613   major   Gst is not calculated correctly on the invoice page
    11549   major   After transferring an order, receive and cancel the receipt will delete the order
    11675   major   Budget amount is not checked if a parent exist
    11680   major   Tax rate changes on edit
    11699   major   Notes entered when receiving are not saved
    12019   major   Funds displayed on acquisition home show funds of all branches
    12168   major   Spent and ordered budget values are wrong if deep > 2

Architecture, internals, and plumbing
----------
    11493   critical    Batch Item Modification not handling Unicode characters
    11660   critical    Tools/pdfViewer.pl is vulnerable to displaying the contents of an arbitrary file on the server
    11661   critical    Edithelp.pl can be used to write arbitrary files to the server
    11662   critical    Member-picupload.pl can write to arbitrary files on the server
    11666   critical    Admin/import_export_framework.pl allows execution of arbitrary SQL without authentication
    12243   critical    Records with invalid ISBNs can cause searches to fail
    10611   major   C4::Context->dbh checks if the DB is still running
    11563   major   Class noEnterSubmit no longer functioning
    11779   major   Unexpected change in logged in branch when changing overdue notice triggers

Authentication
----------
    11219   critical    CAS authentication fails with URL parameters

Cataloging
----------
    8018    major   New subfields have a default max length of zero
    11286   major   Bug 10602 prevents to create new subfields in authorities
    11338   major   Items that are captured for holds can be deleted without warning
    11410   major   Cataloging search finds no results for searches with ampersands

Circulation
----------
    9532    major   Reserve rules with itemtype on biblio

Command-line Utilities
----------
    11417   major   Remove_unused_authorities.pl doesn't accept --test

Course reserves
----------
    11534   major   Impossible to remove instructors on course reserve

Database
----------
    11846   major   Correct database update for debarments with 9999-12-31

Hold requests
----------
    11258   major   Holds queue is still making transfer requests that contradict the branch holds policy
    11336   major   Priority is not updated on deleting holds
    11947   major   Hold priorities not re-calculated when hold is confirmed on checkin.

I18N/L10N
----------
    2546    major   Description of charges: string hardcoded
    11290   major   Members-home.pl displays badly if using non English templates and have a UTF8 char in categorycode description
    11571   major   Bug 7934 introduces a regression in the translate script

Installation and upgrade (web-based installer)
----------
    12212   blocker Wrong number of parameters for AggressiveMatchOnISBN in sysprefs.sql
    12251   blocker Error in sample_notices.sql (es-ES)

Lists
----------
    11248   major   Problems with translated list email sent

Notices
----------
    9210    major   Automatic carriage return are missing in print letters generated for holds

Public Catalog
----------
    11307   critical    Potential XSS attack vector in public catalog RSS feed
    11341   critical    XSS attack vector in facets in public catalog - prog theme
    10605   major   Problems with translated cart email sent
    10952   major   Store anonymous search history in session
    11277   major   Bootstrap theme: error in link for showing all facets
    11535   major   Patron self-registration form does not sanitize its input
    11978   major   OverDrive API now prepends http:// to URLs
    12046   major   Authentication using CAS - bootstrap

Packaging
----------
    12234   blocker Package dependency updates for master
    11404   major   Add out-of-the-box support for Apache 2.4

Patrons
----------
    11282   blocker Not possible to create multiple restrictions from patron details/new restriction overwrites existing
    10453   critical    Updating child to adult loses password
    11352   critical    Batch Patron Deletion/Anonmyzation deletes more than warning states it will delete
    12134   critical    Members are restricted even if the debarment is ended
    11009   major   Do not allow reading records of anonymous patron
    12292   major   Members are restricted even if the debarment is ended - moremember.pl

Searching
----------
    11096   major   Koha cannot retrieve big records from Zebra
    11533   major   "use" QueryParser breaks authority search

Serials
----------
    11843   blocker Manual subscription history doesn't seem to work as expected
    12161   critical    Serials receiving is broken
    11262   major   Don't require hardcoded translations for seasonal numbering pattern to work
    11689   major   New missing statuses is not well managed
    11995   major   Followup for Bug 7688 - FIX GetNextDate in serialsUpdate.pl
    12003   major   Next issues for irregular pattern not correctly predicted
    12080   major   Superserials permission appears to be broken

Templates
----------
    766 major   Use of CGI::scrolling_list prevents customization in template

Test Suite
----------
    12271   critical    Valid-templates.t does not test bootstrap opac templates

Tools
----------
    11414   critical    Marc modification template limitations should alert the user
    9048    major   Quote editor does not work under Plack
    11287   major   Import borrowers doesn't take into account the new restriction system
    11412   major   Bulkmarcimport can crash when searching for duplicates
    12163   major   Adding a new quote fails

Z39.50 / SRU / OpenSearch Servers
----------
    9612    major   SRU Response is different when DOM indexing is enabled


Other bugs fixed in 3.16.0
======================

(this list include all bugfixes since the previous major version. Most of them have already been fixed in maintenance releases)


About
----------
    7143    trivial Bug for tracking changes to the about page

Acquisitions
----------
    7791    normal  Deleting basket should not delete all existing orders without warning
    8683    normal  Acq: Clear button doesn't clear all item fields
    9063    normal  When ordering from staged file '# Bibs' is empty
    9224    normal  Acqui/finishreceive.pl is not Plack-compatible
    9593    normal  Prices not imported correctly from a staged file
    11018   normal  Add order from a reverted file
    11059   normal  Not possible to sort staged dates in metric format
    11111   normal  The basket group is not displayed on the parcel page
    11166   normal  Branch filter in budgets admin uses pattern match  instead of equals
    11170   normal  The pending order list should only display orders to receive
    11171   normal  The basket group is not displayed on the supplier list page
    11237   normal  Clarify explanation for the new pref AcqItemSetSubfieldsWhenReceived
    11243   normal  Supplier list counts all items, even canceled ones
    11397   normal  Displaying itemnumber list on the Acquisition detail tab is useless
    11644   normal  Cannot update fund if total is equal to amount unallocated
    11777   normal  Created by name is not coming in order receiving page
    11798   normal  Problems with column sorting and row visibility in invoices table
    11914   normal  Ordering from suggestions: fund (budget id) is not retained; price calculations not working
    11056   minor   Dead code in basketgroup.pl : remove code depending on "validate" param
    11314   minor   Restore ability to see only 5 entries on parcel.pl
    11433   minor   Remove attachbasket op value in basket.pl
    11471   minor   Basket groups display 0 0
    11550   minor   Add a couple of unit tests for C4::Acq::GetOrder
    11820   minor   Dead code in basketgroup.pl : "add" operation is never invoked without a booksellerid
    11845   minor   Set overlay and import status translatable in addorderiso2709.tt
    11939   minor   Sample of currencies with a working active value
    9654    trivial Missing space between amount and currency symbol in basket groups
    12111   trivial Improving templates regarding order notes
    12185   trivial Remove extra "f" from parcel.tt

Architecture, internals, and plumbing
----------
    7965    normal  Silence warns in staff error log (koha-error_log)
    10626   normal  Remove doubled up TT plugins
    11035   normal  Replace shortcut plugin jquery.hotkeys.min.js
    11061   normal  Koha::Calendar::_mock_init is unused
    11112   normal  Koha::Calendar->new loads all holidays
    11148   normal  Two routines are useless in Koha::DateUtils
    11391   normal  Suggestions.suggesteddate has a problematic default value
    11616   normal  The tablesorter plugin is no longer in use
    11687   normal  Statecollection.pl is unused
    12259   normal  Invalid dependency module version number
    11384   minor   Koha should not use "ctid" as a column name
    11402   minor   Labels::_guide_box should return undef if undefned data is passed
    11757   minor   Dependency on POE is not longer necessary
    12065   minor   Consistent use of encode_qp when sending basket/shelf
    12076   minor   Xt/tt_valid.t can miss an invalid construct
    12112   minor   C4::Breeding::ImportBreeding() is not used
    12131   minor   C4/TmplToken.pm has an unnecessary dependency on Exporter
    11077   trivial Correct silent warnings in C4/Auth.pm
    11587   trivial IsSuperLibrarian generates warnings
    11799   trivial Housekeeping: Remove _biblionumber_sth from VirtualShelves.pm
    11803   trivial Consistent use of $dbh in _koha_modify_item
    11856   trivial Minor improvements on code documentation (omnibus)

Authentication
----------
    7002    normal  Inaccurate checks for borrower flags == 1
    11048   normal  Fix logout redirection for CAS authentication

Cataloging
----------
    7125    normal  Can't change tag in frameworks
    7442    minor   Crash when selecting an authority with 200$x or 200$y
    9114    minor   Exported MARC frameworks encoding should be UTF-8
    10808   minor   Thesaurus search form does not correspond to current search query
    11313   minor   Empty value in mandatory combobox in record edition
    11955   minor   Remove spaces in empty indicators after linking an authority to a biblio record.
    11316   trivial Plugin icon missing tooltip in addbiblio.pl
    11611   trivial Fix possible confusion between UNIMARC and MARC21 in some sysprefs

Circulation
----------
    11756   normal  Hold ratios report sorting incorrectly
    11075   minor   Clicking 'select all' link in export tab in checkout page clears renew checkboxes
    11231   minor   Notes should be reservenotes in pendingreserves.pl and reserveratios.pl

Command-line Utilities
----------
    11188   minor   Make gather_print_notices.pl die on failed open()
    12288   minor   Search Errors with AggressiveMatchOnISBN turned on

Course reserves
----------
    11179   minor   opac-course-details.pl shows item as available when it is checked out

Database
----------
    5377    normal  Database fields too small for multiple ISBN and ISSN
    11155   normal  PostgreSQL schema contains syntax errors
    11249   normal  Add db indexes on borrowers names
    11275   normal  Make deleteditems.materials of type text
    11928   normal  Table aqorderdelivery seem useless
    6331    minor   Obsolete marc column in deleteditems

Documentation
----------
    11483   normal  New serial pages missing help
    12244   normal  Help Files for Koha 3.16
    11383   minor   There is no help page for the marc modification templates tool
    11403   minor   Renew page missing help file

Hold requests
----------
    8918    normal  ILS-DI: HoldTitle and HoldItem do not calculate rank of hold
    11445   normal  It is possible for duplicate hold notifications to be sent
    11531   normal  Cannot add new libraries to the transport cost if previously used.
    12000   normal  Staff users can set hold suspension dates to occur in the past
    12079   normal  CheckReserves() and _Findgroupreserve do not return reserve_id
    9788    minor   Improvements for calling GetReservesFromItemnumber
    10452   minor   AllowHoldsOnDamagedItems should control using damaged items to fulfill holds

I18N/L10N
----------
    5052    normal  Can't choose languages if all choices are sublanguages
    11225   normal  \n in translation strings should be removed
    11227   normal  Staff po files contain some Javascript
    11411   normal  Bootstrap theme (enhancement) for (right to left).
    11488   normal  Untranslatable warning "Are you sure you want to write off ..."
    11505   normal  Untranslatable table headers in Label batch manager
    11588   normal  Untranslatable subscription frequency units
    11618   normal  JQuery timepicker is not picked up by the i18n toolchain
    11646   normal  Untranslatable confirm popup in field 006 and 008 builders
    11686   normal  "please note your reason here..." does not get translated
    11731   normal  Typo "tranports" in installation
    12034   normal  MSG_REMOVE_FROM_LIST different wording between public catalog and staff client
    12056   normal  Untranslatable strings in calendar
    12081   normal  Tmpl_process3.pl does not delete temp files
    12240   normal  Update of Italian SQL files (no marc setup) - 3.16
    12241   normal  Update of Italian SQL files (MARC setup) - 3.16
    11363   minor   Label printer profile units are not translatable
    11366   minor   Acq basket group "No group" untranslatable
    11497   minor   I18n toolchain fails to pick up TT code in the format 'SomeVariable or "Some Text"' for translation
    11508   minor   Untranslatable pull-down in auth_subfields_structure.pl
    11639   minor   Untranslatable strings in 007 builder
    11973   minor   Fix Armenian language description
    11993   minor   Untranslatable confirm popup in request.tt
    10818   trivial System preference OAI-PMH:ConfFile isn't translatable
    11189   trivial Rename Print label in UNIMARC advanced search
    11393   trivial Language menu not show up as name for Thai (th-THA was shown)

Installation and upgrade (command-line installer)
----------
    10580   normal  Remove NoZebra reference from Makefile.pl
    10729   normal  Support phrases-icu.xml in install and upgrade

Installation and upgrade (web-based installer)
----------
    11260   normal  Update German web installer
    11261   normal  Sample frequencies and numbering patterns should better be mandatory on install
    12282   normal  RESERVESLIP wrong in German sample notices
    7841    minor   Several warnings on language from webinstaller
    12209   minor   Fix currency symbol for NOK

Label/patron card printing
----------
    8375    normal  Common diacritics not shown correctly when exporting batch label to PDF
    9854    normal  Add 'ttf-dejavu*' packages to debian/control file, for label printing (bug 8375)
    11222   normal  A regression on label-item-search.pl done by Bug 9239

Lists
----------
    8262    normal  Special kohaadmin cannot create lists
    10714   minor   Redirect to list contents view upon save after initiating edit from list contents view

MARC Authority data support
----------
    10691   normal  5xx not properly linked by authid in authority search result list
    10905   minor   Author tracings incorrect when UseAuthoritiesForTracings is turned on
    11652   minor   Merging authority records does not correct biblios
    11797   minor   Auth_finder.pl: Odd number of elements in anonymous hash

MARC Bibliographic data support
----------
    11004   normal  Make xmlControlfield.js use the marcflavour syspref to look for XML files
    11695   normal  Typo: "Tree-character alphabetic code"
    11762   normal  Sequence of MARC21 245 subfields different on XSLT result list and detail page
    11912   minor   GetMarcISBN wrongly prepends a space to ISBNs

MARC Bibliographic record staging/import
----------
    11923   normal  Marc record batches not sorting by citation descending

Notices
----------
    8258    normal  Branch specific DUEDGST notice is not used
    9216    normal  Make table headings translatable
    11696   normal  Multi transport types: the print notices should be processed in first
    11760   normal  In notices, code of road type is used instead of description
    8168    minor   Ersatz CSV header in attachment of overdue notices sent to administrator
    11732   trivial Eliminate warning on undefined branchcode

Public Catalog
----------
    8952    normal  Add http:// to URL in social media links on opac-detail
    10195   normal  Records hidden with OpacSuppression can still be accessed. Two
                    new system preferences, OpacSuppressionMessage and OpacSuppressionRedirect,
                    can now be used to control what should be displayed if a
                    patron tries to view a suppressed record.
    10647   normal  Make public catalog MARC plain view work for all flavours of MARC
    10865   normal  Don't show list permissions when adding public lists/sharing lists is not allowed
    11127   normal  public catalog suggestion: the delete link is active when no suggestion selected
    11183   normal  Warnings in opac
    11304   normal  Holding tabs are now properly displayed in translated Bootstrap
                    public catalogs
    11308   normal  RSS feed is slightly broken in bootstrap theme
    11310   normal  Update XSLT stylesheets in bootstrap theme
    11489   normal  public catalog search results in 404 error when the only search result is suppressed
    11647   normal  Subscribe to email notification for serials needs user login
    11743   normal  Remove unused DataTables plugin from public catalog theme directories
    11768   normal  Show patron cardnumber in opac personal details
    11809   normal  public catalog patron details form shouldn't show 'Clear date' if field is required
    11951   normal  public catalog search suggestions template error
    11986   normal  Tags searching doesn't work in public catalog if biblio DOM indexing is being used
    12058   normal  OverDrive search results page doesn't show cart, lists, or login links
    8661    minor   Break out additional authors in opac like in staff
    9723    minor   Hourly loans don't show time due in public catalog
    10781   minor   Remove C4::ILSDI::Utility
    10797   minor   Move styling from element to CSS file for search input field in public catalog
    10944   minor   Mixed content warnings in results and detail with Amazon images on https
    11242   minor   Fix opac-MARCdetail.pl bizarre ordering of data and noisy warnings
    11342   minor   Error with opac self registration if BorrowersTitles is empty
    11381   minor   IDreamBooks too close to title on bootstrap
    11476   minor   public catalog self registration title pull down offers 2 empty options
    11516   minor   public catalog highlight lost in results browser
    11522   minor   Self registration formatting
    11709   minor   Bootstrap public catalog lists interface requires some revisions
    11752   minor   In public catalog, the serials details display the wrong periodicity
    12073   minor   public catalog detail page printing show links URL
    10798   trivial OPAC_SEARCH_LIMIT behaves badly with search groups
    11094   trivial Bootstrap theme: typo loaction
    11174   trivial Wrong parameter 'valuec' in  opac-authoritiessearchresultlist
    11329   trivial Check for marc record in opac-showmarc
    11663   trivial Bootstap theme opac holding tab improperly displayed when opacbookbag syspref is disabled

Packaging
----------
    10735   normal  Koha-dump not working
    11705   normal  New Debian policy enforcement is breaking the build script
    8921    minor   Koha-common*.deb should depend on cron
    11509   trivial Koha-create should print better usage information
    11510   trivial Typo in koha-translate usage message

Patrons
----------
    11184   normal  Fix wrong attribute type cloning
    11207   normal  Impossibility to remove a sms number
    11283   normal  Restriction type is not translatable
    11628   normal  Staffaccess permission is missing in french userflags.sql file
    11707   normal  Additional attributes broken for category code with space
    12069   normal  If you access members/mod_debarment.pl when logged out you are redirected to public catalog login
    12100   normal  Messaging preferences did not save Days in Advance
    12198   normal  Guarantor search makes incorrect and unnecessary call to GetMemberIssuesAndFines
    11125   minor   Remove Problematic Logic from Patron Messaging Preferences Form
    11802   minor   Patron purchase suggestions page requires some corrections
    11855   trivial Tiny code cleanup in members

Reports
----------
    11704   normal  Wrong headers in {opac|intranet}/svc/report
    11833   normal  Filtering on saved report subgroup doesn't work
    12114   normal  Reports web service JSON output has an encoding problem
    10777   minor   Runreport.pl allows for sending html reports via email, but mimetype is wrong
    12214   minor   SQL errors in reports are not shown to user

Searching
----------
    7518    normal  Searches with quotation marks don't work
    10688   normal  QueryParser doesn't recognize QP queries when used in a fielded search box
    10893   normal  Location facet not working in UNIMARC
    11131   normal  Authority search does not display summary while searching by all auth types
    11192   normal  Fix two definitions in ccl.properties
    11252   normal  Rebuild_zebra.pl should not have --munge-config
    11255   normal  Sort by relevance asc generates a wrong query
    11741   normal  < > not displaying correctly in XSLT result list
    11796   normal  Results with 6 facets have missing facet
    4397    minor   Display problems (umlauts, ß) with scan index in advanced search
    6886    minor   Single branch mode should disable showing the branch name in front of all callnumbers
    9578    minor   Error when search and sort not on relevance
    10544   minor   Stocknumber index is an alias of Number-local-acquisition
    11635   minor   995$r defined twice in record.abs
    11572   trivial Keyword searches no longer detect isbn from "Search the catalog"
    11619   trivial Duplicate key in QueryParser config

Self checkout
----------
    11773   normal  Crash 'undefined value as a HASH' in sco-main.pl
    9724    minor   Hourly loans don't show time due in SCO
    11415   minor   SCO has no option to disable automatic receipt printing
    11784   minor   Patron images broken in Self checkout

Serials
----------
    10837   normal  Exporting serial claims does not work if no notice defined
    11091   normal  Limits in catalog search when creating subscription
    11228   normal  Explanation on 'patron notification' is not quite right
    11263   normal  New 'locale' setting in subscriptions is not user friendly
    11265   normal  Problems with locale saving/editing on serial subscriptions
    11309   normal  Duplicated patterns when subscription table is updated
    11637   normal  No way to prevent a prediction date for the next issue in serials
    10429   minor   Branch filter not working in serial claims
    11214   minor   Allow create routing list in serial collection page
    11416   minor   Serials editor improperly hides fields
    12048   minor   Doesn't display other libraries subscriptions when superlibrarian user
    12098   minor   User can edit some subcriptions he should be prevented to

SIP2
----------
    9865    normal  Make SIP2 message encoding configurable via SIPconfig.xml
    11783   normal  Record level unavailable holds sending empty CD field rather than item barcode

Staff Client
----------
    10415   normal  Add course reserves to staff client home page
    11369   major   Fixes a bug where the staff interface would cease to function
                    for a user session after making multiple searches
    11906   normal  Bad display of utf-8 chars in Patron lists (Datatable)
    12060   normal  Indentation issues allow markup errors in header.inc
    12075   normal  JQueryUI upgrade broke keyboard shortcuts
    12024   minor   Add to list opens the list adding UI in two windows
    12071   minor   Javascript broken for a search with double quotes
    9075    trivial Rename type to material type

System Administration
----------
    7491    normal  Description for item-level_itypes is misleading
    10012   minor   Remove all traces of NoZebraIndexes
    11513   minor   Warnings in Patron categories

Templates
----------
    2310    normal  Delete grayed out w/out explanation
    10661   normal  Mandatory item fields should be formatted the same on all forms
    10751   normal  Title should be mandatory for creating suggestions in staff
    10790   normal  Adding/editing item types screen mis aligned if  noItemTypeImages  not showing
    11117   normal  Right to left text in facets + facet count = mixed text
    11503   normal  Several typos
    11692   normal  Number 9 showing on topissues
    11710   normal  Use new DataTables include in cataloging Z39.50 search template
    11711   normal  Use new DataTables include in circ templates
    11713   normal  Use new DataTables include in course reserves templates
    11716   normal  Use new DataTables include in label manage template
    11717   normal  Use new DataTables include in member templates
    11718   normal  Use new DataTables include in reports templates
    11719   normal  Use new DataTables include in serials templates
    11721   normal  Use new DataTables include in suggestions template
    11734   normal  Use new DataTables include in batch modification templates
    11735   normal  Use new DataTables include in calendar template
    11736   normal  Use new DataTables include in Koha news templates
    11737   normal  Use new DataTables include in quotes management template
    11738   normal  Use new DataTables include in batch patron modification template
    11739   normal  Use new DataTables include in notices template
    11740   normal  Use new DataTables include in quotes upload template
    11748   normal  Remove unused jquery.uitablefilter.js plugin
    11753   normal  Replace jQuery qTip plugin with Bootstrap tooltip on patron search form
    11794   normal  OpacSerialDefaultTab  being ignored
    11819   normal  Don't show catalog edit menu if user has no edit permissions
    11821   normal  Staff client catalog: delete menu items greyed out without explanation
    11829   normal  JavaScript error on staff client biblio details pages if template variables are undefined
    11877   normal  Eliminate use of deprecated jQuery .live() method
    11878   normal  Eliminate use of deprecated jQuery .toggle() method usage
    11885   normal  Inconsistent HTML in MARC Details
    12094   normal  JQueryUI upgrade broke default tab selection
    12105   normal  Remove duplicated plugin jquery.dataTables.columnFilter.js
    12117   normal  Remove unused image myshadow.png from the staff client
    12118   normal  Unnecessary YUI assets included in offline circ manifest
    12127   normal  Incorrect DataTable types in Holds to Pull list
    12195   normal  Remove duplicated plugin jquery.dataTables.min.js
    12196   normal  Remove unused jquery.qtip.js plugin
    10825   minor   Detail.tt displays duplicated enumchron values for serial items
    11502   minor   Branch filter in "Holds To Pull" is too fuzzy
    11648   minor   Use word item instead of copy
    11649   minor   Always use words "copy number"
    11670   minor   Remove sorting from patron lists action columns
    11749   minor   Remove unused jQuery plugin jquery.hoverIntent.minified.js from the staff client
    11764   minor   Move repeatedly redefined function toUC() into staff-global.js
    11765   minor   Remove unused function isDate from templates
    11832   minor   JavaScript error on staff client place hold screen if record has no items
    12206   minor   Malformed HTML in search result other holdings list
    10823   trivial Add class info to enumchron data in detail.tt, for better styling
    11246   trivial Followup for Bug 10465 fields 780 and 785 in UNIMARC XSLT should be removed in bootstrap theme
    11554   trivial Capitalization fix in patron account on fines tab
    11608   trivial Don't need the word 'library' on funds
    11918   trivial Typo on authorized value page
    11935   trivial Capitalization: public catalog prog theme, checkouts tab
    11938   trivial Capitalization: Serial prediction pattern preview - Publication Date

Test Suite
----------
    11124   normal  The staff benchmark script does not work with sql administrator account
    11439   normal  UT: XISBN.t returns failure
    11457   normal  T/db_dependent/Bookseller.t can fail when subscription table is not empty
    11499   normal  Zebra_setup.pl not correctly setting indexing mode
    11470   minor   Circulation_transfers.t can fail, spuriously
    11934   trivial Replace given by if-else in Circulation_issuingrules.t

Tools
----------
    5031    normal  CSV export profile form doesn't indicate that profile marcfields are required
    10996   normal  Cannot exclude numeric subfields on export
    11208   normal  Multi transport types: a sms message without sms number should be marked as failed
    11209   normal  Multi transport types: same messages are sent for a patron
    11245   normal  Typo in modborrowers.tt javascript string
    11254   normal  Breeding search must normalize ISBN
    11279   normal  Quote of the day feature won't pick a quote
    11475   normal  Batch modification process ends with broken link
    11636   normal  Impossible to remove patrons from patron list during add process
    12032   normal  TinyMCE rewrites urls in a very annoying and unexpected way
    11253   minor   Tools/inventory.pl output_pref ignores 'iso' parameter passed
    12115   minor   Follow up fix for tools/inventory.pl's output_pref issues

Transaction logs
----------
    11473   normal  View log template has malformed conditionals, and logging info incorrect/inconsistent/unexpected

Z39.50 / SRU / OpenSearch Servers
----------
    1047    normal  Punctuation in site names breaks Edit/Delete z39.50 server administration
    11701   normal  Fix C4::Context::Zconn
    11419   minor   Z39.50 searches not displaying errors


New sysprefs in 3.16.0
======================

  * AcquisitionDetails
  * AdvancedSearchLanguages
  * AggressiveMatchOnISBN
  * AllowMultipleIssuesOnABiblio
  * BlockExpiredPatronOpacActions
  * DisplayLibraryFacets
  * EnableSearchHistory
  * MarcFieldsToOrder
  * MaxItemsForBatch
  * NoLoginInstructions
  * OpacMaxItemsToDisplay
  * OPACMySummaryNote
  * OpacSuggestionManagedBy
  * OpacSuppressionMessage
  * OpacSuppressionRedirect
  * SelfCheckReceiptPrompt
  * SpecifyReturnDate


System requirements
======================

    Important notes:
    
    * Perl 5.10 is required
    * Zebra is required


Documentation
======================

The Koha manual is maintained in DocBook.The home page for Koha 
documentation is 

    http://koha-community.org/documentation/

As of the date of these release notes, only the English version of the
Koha manual is available:

    http://manual.koha-community.org/3.16/en/

The Git repository for the Koha manual can be found at

    http://git.koha-community.org/gitweb/?p=kohadocs.git;a=summary


Translations
======================

Complete or near-complete translations of the public catalog and staff
interface are available in this release for the following languages:


  * English (USA)
  * Arabic (79%)
  * Armenian (93%)
  * Chinese (China) (94%)
  * Chinese (Taiwan) (100%)
  * Czech (100%)
  * Danish (87%)
  * English (New Zealand) (81%)
  * French (96%)
  * French (Canada) (85%)
  * German (100%)
  * German (Switzerland) (100%)
  * Italian (100%)
  * Kurdish (69%)
  * Norwegian Bokmål (66%)
  * Polish (61%)
  * Portuguese (92%)
  * Portuguese (Brazil) (85%)
  * Slovak (100%)
  * Spanish (99%)
  * Swedish (88%)
  * Turkish (100%)


Partial translations are available for various other languages.

The Koha team welcomes additional translations; please see

    http://wiki.koha-community.org/wiki/Translating_Koha

for information about translating Koha, and join the koha-translate 
list to volunteer:

    http://lists.koha-community.org/cgi-bin/mailman/listinfo/koha-translate

The most up-to-date translations can be found at:

    http://translate.koha-community.org/


Release Team
======================

The release team for Koha 3.16.0 is

  Release Manager:       Galen Charlton <gmc@esilibrary.com>
  Documentation Manager: Nicole C Engard <nengard@gmail.com>
  Translation Manager:   Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
  QA Manager:            Katrin Fischer <Katrin.Fischer@bsz-bw.de>
  QA Team:               Ruth Bavousett <druthb@gmail.com>
                         Chris Cormack <chrisc@catalyst.net.nz>
                         Marcel de Rooy <M.de.Rooy@rijksmuseum.nl>,
                         Jonathan Druart <jonathan.druart@biblibre.com>,
                         Brendan Gallagher <brendan@bywatersolutions.com>
                         Kyle Hall <kyle@bywatersolutions.com>
                         Paul Poulain <paul.poulain@biblibre.com>
                         Martin Renvoize <martin.renvoize@ptfs-europe.com>
  Module Maintainers:    Tomás Cohen Arazi <tomascohen@gmail.com>
                         Jared Camins-Esakov <jcamins@cpbibliography.com>
                         Kyle Hall <kyle@bywatersolutions.com>
  Bug Wranglers:         Chris Cormack <chrisc@catalyst.net.nz>
                         Magnus Enger <magnus@enger.priv.no>
  Packaging Manager:     Robin Sheat <robin@catalyst.net.nz>
  VM Manager:            Samuel Desseaux <samuel.desseaux@ecp.fr>
  Database Documentation Managers:
                         Joy Nelson <joy@bywatersolutions.com>
                         Samuel Desseaux <samuel.desseaux@ecp.fr>

  Release Maintainer (3.8.x):  Kyle Hall <kyle@bywatersolutions.com>
  Release Maintainer (3.10.x): Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
  Release Maintainer (3.12.x): Tomás Cohen Arazi <tomascohen@gmail.com>
  Release Maintainer (3.14.x): Fridolin Somers <fridolin.somers@biblibre.com>


Credits
======================

We thank the following libraries who are known to have sponsored
new features in Koha 3.16.0:
  * Hochschule für Gesundheit (hsg), Germany
  * Universidad Nacional de Cordoba

We thank the following individuals who contributed patches to Koha 3.16.0.
  *     10  Jacek Ablewicz
  *      1  Aleisha Amohia
  *      2  Roman Amor
  *      1  Nuño López Ansótegui
  *     39  Tomas Cohen Arazi
  *      1  Daniel Barker
  *      1  JaTara Barnes
  *      1  Pablo Bianchi
  *      3  Blou
  *      1  Gaetan Boisson
  *      1  Isaac Brodsky
  *      2  Koha SAB CINECA
  *      1  Jared Camins-Esakov
  *     12  Colin Campbell
  *      3  Frédérick Capovilla
  *    332  Galen Charlton
  *     10  David Cook
  *     17  Chris Cormack
  *      1  Samuel Crosby
  *      1  Stéphane Delaune
  *      6  Frédéric Demians
  *    243  Jonathan Druart
  *      1  Rachel Dustin
  *     15  Nicole Engard
  *      6  Magnus Enger
  *      1  Vitor FERNANDES
  *     36  Katrin Fischer
  *      1  Amit Gupta
  *      1  Chris Hall
  *     95  Kyle M Hall
  *      1  Tim Hannah
  *      1  Emma Heath
  *      1  Tom Houlker
  *      2  Mason James
  *      5  Srdjan Jankovic
  *      1  Janusz Kaczmarek
  *      7  Pasi Kallinen
  *      3  Doug Kingston
  *      5  Olli-Antti Kivilahti
  *     24  Bernardo Gonzalez Kriegel
  *      2  Ketan Kulkarni
  *      1  Nicolas Legrand
  *    115  Owen Leonard
  *      2  Jesse Maseto
  *     28  Julian Maurice
  *      7  Holger Meißner
  *      4  Matthias Meusburger
  *      7  Sophie Meynieux
  *      3  Francesca Moore
  *      1  Joy Nelson
  *      1  Chris Nighswonger
  *      1  Nicholas van Oudtshoorn
  *      2  Dobrica Pavlinusic
  *      1  Paul Poulain
  *      6  Liz Rea
  *      1  Martin Renvoize
  *     50  Marcel de Rooy
  *      1  Fridolin SOMERS
  *     33  Fridolyn SOMERS
  *     28  Mathieu Saby
  *      2  A. Sassmannshausen
  *      1  Adrien Saurat
  *      1  Dan Scott
  *     15  Robin Sheat
  *      1  Juan Sieira
  *     18  Fridolin Somers
  *      1  Claire Stent
  *      3  Zeno Tajoli
  *      3  Lyon3 Team
  *      1  Peggy Thrasher
  *      2  Mirko Tietgen
  *     28  Mark Tompsett
  *      3  Marc Véron
  *      1  Ian Walls
  *      1  Jesse Weaver
  *      2  alex_h
  *      3  blou
  *      1  daniel
  *      1  merllissia
  *      1  “ByWater

We thank the following companies who contributed patches to Koha 3.16.0
  *     115 ACPL                                                                                          
  *      36 BSZ BW                                                                                         
  *       7 BSZ BW                                                                                            
  *     338 BibLibre                                                                                    
  *      12 BigBallOfWax                                                                          
  *     113 ByWater-Solutions                                                                   
  *       1 C & P Bibliography                                                                    
  *      32 Catalyst                                                                                 
  *     332 Equinox                                                                                   
  *       1 Foundations                                                                              
  *       2 KohaAloha                                                                                  
  *       3 Libeo                                                                                          
  *       6 Libriotech                                                                                 
  *       1 MASmedios                                                                                  
  *      15 PTFS-Europe                                                                              
  *      10 Prosentient Systems
  *      50 Rijksmuseum                                                                               
  *       6 Tamil                                                                                           
  *       3 Université Jean Moulin Lyon 3
  *      21 Université Rennes 2
  *       1 Xercode                                                                                       
  *       2 abunchofthings.net
  *      10 biblos.pk.edu.pl
  *       1 bulac.fr
  *       1 bywatersolutions
  *       1 bywatersolutions.com”
  *       2 carvingit.com
  *       5 cineca.it
  *       1 coffeecode.net
  *       1 dover.nh.gov
  *       1 hibs.school.nz
  *       6 inlibro.com
  *       1 isaacbrodsky.com
  *       5 jns.fi
  *       1 keep.pt
  *       1 massey.ac.nz
  *       7 pttk.fi
  *       3 randomnotes.org
  *       2 rot13.org                                                                                      
  *     116 unidentified
  *       3 veron.ch
  *       1 wegc.school.nz
  *       2 xtra.co.nz

We also especially thank the following individuals who tested patches
for Koha 3.16.0.
  *       1 Koha Team Lyon 3
  *       2 Koha team AMU
  *       3 Jacek Ablewicz
  *       7 Aleisha
  *       1 Joel Aloi
  *       1 Aleisha Amohia
  *       1 Roman Amor
  *       3 Pierre Angot
  *      22 Tomas Cohen Arazi
  *       5 Petter Goksoyr Asen
  *       1 Aurélie
  *       3 Sonia BOUIS
  *       1 Isabelle Beroud
  *       1 Nora Blake
  *      10 Christopher Brannon
  *       1 Heather Braum
  *       2 Nicolas Bravais
  *       5 Broust
  *       1 Nathalie CHATILLON
  *       4 Jared Camins-Esakov
  *    1308 Galen Charlton
  *      21 David Cook
  *     156 Chris Cormack
  *       3 Charlene Criton
  *       1 Jen DeMuth
  *       1 Stephane Delaye
  *       3 Frédéric Demians
  *     314 Jonathan Druart
  *      12 Nicole C. Engard
  *       7 Magnus Enger
  *       1 Suzanne Fayle
  *       3 Aurelie Fichot
  *     411 Katrin Fischer
  *       2 Corey Fuimaono
  *      22 Brendan Gallagher
  *     239 Kyle M Hall
  *       2 Emma Heath
  *       1 Tom Houlker
  *       1 JMBroust
  *       1 Mason James
  *       2 Pasi Kallinen
  *      15 Olli-Antti Kivilahti
  *       1 Barbara Knibbs
  *      63 Bernardo Gonzalez Kriegel
  *       1 Melissa Lefebvre
  *       4 Nicolas Legrand
  *       1 Leila
  *      60 Owen Leonard
  *       2 Havilah Lyon
  *       4 Jesse Maseto
  *       4 Julian Maurice
  *       1 Sean McGarvey
  *       1 Tom McMurdo
  *       2 Melia Meggs
  *       1 Holger Meissner
  *       5 Holger Meißner
  *       1 Matthias Meusburger
  *       1 Sophie Meynieux
  *       2 Michot
  *       4 Francesca Moore
  *       4 Chris Nighswonger
  *       3 David Noe
  *      10 Dobrica Pavlinusic
  *       3 Paul Poulain
  *       7 Liz Rea
  *      56 Martin Renvoize
  *       1 Chris Rohde
  *       4 Benjamin Rokseth
  *     118 Marcel de Rooy
  *       7 Paola Rossi
  *       2 Fridolyn SOMERS
  *       9 Mathieu Saby
  *       1 Garming Sam
  *       2 Joel Sasse
  *       2 A. Sassmannshausen
  *       1 Adrien Saurat
  *       1 Kim Schwant
  *       1 Dan Scott
  *       7 Robin Sheat
  *       3 Fridolin Somers
  *       3 Srdjan
  *      70 Mark Tompsett
  *       1 Ed Veal
  *       5 Marc Veron
  *       5 Cedric Vita
  *       1 Cédric Vita
  *      41 Marc Véron
  *       5 Jesse Weaver
  *       1 alex_h
  *       2 marjorie barry-vila
  *       3 sonia bouis
  *       1 cedric.vita@dracenie.com
  *       1 daniel
  *       1     Signed-off-by jmbroust
  *       6 remy juliette
  *       3 merlissia
  *       1 silvere
  *       9 wajasu

We regret any omissions.  If a contributor has been inadvertently missed,
please send a patch against these release notes to 
koha-patches@lists.koha-community.org.


Revision control notes
======================

The Koha project uses Git for version control.  The current development 
version of Koha can be retrieved by checking out the master branch of 

    git://git.koha-community.org/koha.git

The branch for this version of Koha and future bugfixes in this release line is master.


Bugs and feature requests
======================

Bug reports and feature requests can be filed at the Koha bug
tracker at

    http://bugs.koha-community.org/


He rau ringa e oti ai.
(Many hands finish the work)
